package cn.ey.biz.module.system.dal.mapper.wiki;

import cn.ey.biz.framework.mybatis.core.mapper.BaseMapperX;
import cn.ey.biz.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.ey.biz.module.system.dal.dataobject.wiki.WikiImageDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface WikiImageMapper extends BaseMapperX<WikiImageDO> {

    default void deleteByFileId(Long pageId) {
        delete(new LambdaQueryWrapperX<WikiImageDO>()
                .eq(WikiImageDO::getFileId, pageId));
    }}
